Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class Reporting

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.Reporting

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class Reporting

extends Object

Section for management of reports and their configuration.

Java class for Reporting complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Reporting">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="excludeDefaults" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="outputDirectory" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="plugins" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="plugin" type="{http://maven.apache.org/POM/4.0.0}ReportPlugin" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `Reporting.Plugins` Java class for anonymous complex type.

Field Summary
`protected Boolean` | `excludeDefaults`
`protected String` | `outputDirectory`
`protected Reporting.Plugins` | `plugins`

Constructor Summary
`Reporting()`

Method Summary
`String` | `getOutputDirectory()` Gets the value of the outputDirectory property.
`Reporting.Plugins` | `getPlugins()` Gets the value of the plugins property.
`Boolean` | `isExcludeDefaults()` Gets the value of the excludeDefaults property.
`void` | `setExcludeDefaults(Boolean value)` Sets the value of the excludeDefaults property.
`void` | `setOutputDirectory(String value)` Sets the value of the outputDirectory property.
`void` | `setPlugins(Reporting.Plugins value)` Sets the value of the plugins property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### excludeDefaults

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Boolean excludeDefaults

### outputDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String outputDirectory

### plugins

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Reporting.Plugins plugins

Constructor Detail

### Reporting

    public Reporting()

Method Detail

### isExcludeDefaults

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Boolean isExcludeDefaults()

  Gets the value of the excludeDefaults property.

  Returns:
    possible object is `Boolean`

### setExcludeDefaults

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setExcludeDefaults(Boolean value)

  Sets the value of the excludeDefaults property.

  Parameters:
    `value` - allowed object is `Boolean`

### getOutputDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getOutputDirectory()

  Gets the value of the outputDirectory property.

  Returns:
    possible object is `String`

### setOutputDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setOutputDirectory(String value)

  Sets the value of the outputDirectory property.

  Parameters:
    `value` - allowed object is `String`

### getPlugins

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Reporting.Plugins getPlugins()

  Gets the value of the plugins property.

  Returns:
    possible object is `Reporting.Plugins`

### setPlugins

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setPlugins(Reporting.Plugins value)

  Sets the value of the plugins property.

  Parameters:
    `value` - allowed object is `Reporting.Plugins`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.